VkComponentMapping Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkComponentSwizzle | r
VkComponentSwizzle | g
VkComponentSwizzle | b
VkComponentSwizzle | a

## Detailed Description

Definition at line 2242 of file vulkan_core.h.

## Field Documentation

## a

VkComponentSwizzle VkComponentMapping::a

Definition at line 2246 of file vulkan_core.h.

## b

VkComponentSwizzle VkComponentMapping::b

Definition at line 2245 of file vulkan_core.h.

## g

VkComponentSwizzle VkComponentMapping::g

Definition at line 2244 of file vulkan_core.h.

## r

VkComponentSwizzle VkComponentMapping::r

Definition at line 2243 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h